<script setup lang="ts">
import { ListboxFilter as ShadcnListboxFilter } from '@/components/core/listbox';
import { type UiListboxFilterProps } from './types';

defineOptions({
  name: 'UiListboxFilter',
});

const props = defineProps<UiListboxFilterProps>();

const model = defineModel<string>();
</script>

<template>
  <ShadcnListboxFilter v-model="model" v-bind="props" />
</template>
